de.dhbwstuttgart.typeinference

## Interface GenericTypeInsertable

All Known Implementing Classes:
  BasicAssumptionClass, Class, Constant, Constructor, Field, FieldDeclaration, FunNInterface, FunNMethod, Interface, Method

    public interface GenericTypeInsertable

Wird von Knoten im Syntaxbaum implementiert, welche ein Einsetzen von generischen Variablendeklarationen erlauben.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getGenericVarDeclarationOffset()`
`java.lang.String` `getGenericVarDeclarationString(java.lang.String genericVarDeclaration)`

### Method Detail

#### getGenericVarDeclarationString

    java.lang.String getGenericVarDeclarationString(java.lang.String genericVarDeclaration)

#### getGenericVarDeclarationOffset

    int getGenericVarDeclarationOffset()